import request from '@/utils/request'

// 查询【土建模板】列表
export function listTemplates(query) {
  return request({
    url: '/business/templates/list',
    method: 'get',
    params: query
  })
}

// 查询【土建模板】列表 不分页
export function listAllTemplates() {
  return request({
    url: '/business/templates/listAll',
    method: 'get'
  })
}

// 查询【土建模板】详细
export function getTemplates(id) {
  return request({
    url: '/business/templates/' + id,
    method: 'get'
  })
}

// 新增【土建模板】
export function addTemplates(data) {
  return request({
    url: '/business/templates',
    method: 'post',
    data: data
  })
}

// 修改【土建模板】
export function updateTemplates(data) {
  return request({
    url: '/business/templates',
    method: 'put',
    data: data
  })
}

// 删除【土建模板】
export function delTemplates(id) {
  return request({
    url: '/business/templates/' + id,
    method: 'delete'
  })
}
